ONVIF::Media::Types::AudioEncoding(3)

NAME

DESCRIPTION
Perl data type class for the XML Schema defined simpleType AudioEncoding from the namespace http://www.onvif.org/ver10/schema.

This clase is derived from
   SOAP::WSDL::XSD::Typelib::Builtin::string . SOAP::WSDL's schema implementation does not validate data, so you can use it exactly like it's base type.

# Description of restrictions not implemented yet.

METHODS

  new
Constructor.

  get_value / set_value
Getter and setter for the simpleType's value.

OVERLOADING
Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check SOAP::WSDL::XSD::Typelib::Builtin for more information.

AUTHOR
Generated by SOAP::WSDL